Bug 183956 - Kernel 2.6.15-1.2008_FC5smp fails to boot
Kernel 2.6.15-1.2008_FC5smp fails to boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 21:03 EST by Aryanto Rachmad
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.2009.4.2_FC5smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 15:44:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aryanto Rachmad 2006-03-03 21:03:29 EST
Description of problem:
Kernel fails to complete the initialisation

Version-Release number of selected component (if applicable):
2.6.15-1.2008_FC5smp

How reproducible:
Every times

Steps to Reproduce:
1. Upgrade from 2.6.15-1.1996_FC5smp to 2.6.15-1.2008_FC5smp using yum
2. Reboot
3. Hangs
  
Actual results:
Initialisation on 2.6.15-1.2008_FC5smp
--------------------------------------
.
.
Using IPI No-Shortcut mode
ACPI wakeup devices: 
PCI0 
ACPI: (supports S0 S4 S5)
Freeing unused kernel memory: 208k freed
Write protecting the kernel read-only data: 368k

<just stuck>


Expected results:
Initialisation on 2.6.15-1.1996_FC5smp
--------------------------------------
.
.
Using IPI No-Shortcut mode
ACPI wakeup devices: 
PCI0 
ACPI: (supports S0 S4 S5)
Freeing unused kernel memory: 208k freed
Write protecting the kernel read-only data: 368k
Red Hat nash version 5.0.29 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading aic7xxx.ko module
ACPI: PCI Interrupt 0000:01:03.0[A] -> GSI 28 (level, low) -> IRQ 16
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 7.0
        <Adaptec aic7892 Ultra160 SCSI adapter>
        aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

  Vendor: IBM-PSG   Model: DDYS-T18350M  M   Rev: SA2A
  Type:   Direct-Access                      ANSI SCSI revision: 03
.
.

Additional info:
Hardware: IBM xSeries 330 Dual Pentium III
Comment 1 Vladimir Vukicevic 2006-03-04 03:09:29 EST
I'm seeing the same thing with 2008, upgrade from 1955.  Athlon 64 X2 4400,
nForce 4 motherboard; I can provide more info if necessary.

With 1955, I get:

Freeing unused kernel memory: 208k freed
Write protecting the kernel read-only data: 368k
logips2pp: Detected unknown logitech mouse model 62
input: ImExPS/2 Logitech Explorer Mouse as /class/input/input1
hdc: cdrom_decode_status: status=0x51 { DriveReady SeekComplete Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense=0x04 }
ide: failed opcode was: unknown
(repeat that 3 more times)
hdc: DMA disabled
hdc: ide_intr: huh? expected NULL handler on exit
hdc: ATAPI reset complete

and things continue on their merry way.  hdc is a dvd drive.

With 2008, it hangs just after the input: line; no messages, no nothing.  Same
hang occurs with "hdc=none", with or without a dvd in the drive.
Comment 2 Aryanto Rachmad 2006-03-04 15:42:41 EST
2.6.15-1.2009.4.2_FC5smp boots fine.

Note You need to log in before you can comment on or make changes to this bug.